<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

function formulaires_associer_aut_modele_charger_dist($id_auteur, $aut_nom = 0, $redirect = ''){
	$id_aut_modele = 0;
	if ($aut_nom) {
		$id_aut_modele = sql_getfetsel('id_aut_modele', 'spip_aut_modeles', 'nom='.sql_quote($aut_nom));
	}

	$valeurs = array(
		"id_auteur"     => $id_auteur,
		"id_aut_modele" => intval($id_aut_modele)
	);

	return $valeurs;
}

function formulaires_associer_aut_modele_verifier_dist($id_auteur, $aut_nom = 0, $redirect = ''){
	$erreurs = array();
	return $erreurs;
}

function formulaires_associer_aut_modele_traiter_dist($id_auteur, $aut_nom = 0, $redirect = ''){
	include_spip('inc/session');

	$retour = array();

	$id_aut_modele = _request('id_aut_modele');
	if (intval($id_aut_modele) and intval($id_auteur)) {
		$auts = sql_fetsel('nom, aut_modele','spip_aut_modeles', 'id_aut_modele='.intval($id_aut_modele));
		if (!empty($auts)) {
			$set = [
				'autorisations' => $auts['aut_modele'],
				'aut_nom'       => $auts['nom']
			];
			sql_updateq('spip_auteurs', $set, 'id_auteur='.intval($id_auteur));
			$retour['message_ok'] = "bravo";

			$auteur = sql_fetsel('*', 'spip_auteurs','id_auteur='.intval($id_auteur));
			actualiser_sessions($auteur);

			include_spip('inc/invalideur');
			suivre_invalideur("id='id_auteur/$id_auteur'");
		}
	} else {
		$retour['message_erreur'] = _T('auted:enregistrement_impossible');
	}

	if ($redirect) {
		$retour['redirect'] = $redirect;
	}

	return $retour;
}
